Bug 1121302

Summary: Review Request: perl-DateTime-Format-RFC3339 - Parse and format RFC3339 datetime strings
Product: [Fedora] Fedora Reporter: David Dick <ddick>
Component: Package ReviewAssignee: Christopher Meng <i>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: i, package-review
Target Milestone: ---Flags: i: fedora-review+
gwync: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: perl-DateTime-Format-RFC3339-1.0.5-1.el6 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-07-30 21:55:01 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description David Dick 2014-07-19 00:53:54 UTC
Spec URL: http://ddick.fedorapeople.org/packages/perl-DateTime-Format-RFC3339.spec
SRPM URL: http://ddick.fedorapeople.org/packages/perl-DateTime-Format-RFC3339-1.0.5-1.fc20.src.rpm
Description: Parse and format RFC3339 datetime strings
Fedora Account System Username: ddick

This package is intended for EPEL6 and EPEL7 as well as Fedora

Comment 2 Christopher Meng 2014-07-21 02:20:46 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated




===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 1 files have unknown license. Detailed output of
     licensecheck:

Unknown or generated
--------------------
DateTime-Format-RFC3339-v1.0.5/lib/DateTime/Format/RFC3339.pm

[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by:
     /usr/share/perl5/vendor_perl/DateTime(perl-DateTime-Locale, perl-
     DateTime-Format-Builder, perl-DateTime-Format-SQLite, perl-DateTime-
     TimeZone, perl-DateTime-Format-MySQL, perl-DateTime-Format-Strptime),
     /usr/share/perl5/vendor_perl/DateTime/Format(perl-DateTime-Format-SQLite,
     perl-DateTime-Format-Strptime, perl-DateTime-Format-MySQL, perl-DateTime-
     Format-Builder)
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Perl:
[x]: Package contains the mandatory BuildRequires and Requires:.
[x]: CPAN urls should be non-versioned.

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.


Rpmlint
-------
Checking: perl-DateTime-Format-RFC3339-1.0.5-1.fc22.noarch.rpm
          perl-DateTime-Format-RFC3339-1.0.5-1.fc22.src.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint perl-DateTime-Format-RFC3339
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
perl-DateTime-Format-RFC3339 (rpmlib, GLIBC filtered):
    perl(:MODULE_COMPAT_5.18.2)
    perl(Carp)
    perl(DateTime)
    perl(constant)
    perl(strict)
    perl(version)
    perl(warnings)



Provides
--------
perl-DateTime-Format-RFC3339:
    perl(DateTime::Format::RFC3339)
    perl-DateTime-Format-RFC3339



Source checksums
----------------
http://www.cpan.org/modules/by-module/DateTime/DateTime-Format-RFC3339-v1.0.5.tar.gz :
  CHECKSUM(SHA256) this package     : f7f35242b7c857bb4007a69dcbb3baed8c01e50c8d18449c978e9443cdfaee12
  CHECKSUM(SHA256) upstream package : f7f35242b7c857bb4007a69dcbb3baed8c01e50c8d18449c978e9443cdfaee12


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -rvn perl-DateTime-Format-RFC3339-1.0.5-1.fc20.src.rpm
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api, Perl
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

----------------------------
Since 6.75_01 (F21), it's possible to disable creating packlist files by passing NO_PACKLIST=1 argument to Makefile.PL.
----------------------------
PACKAGE APPROVED.

Comment 3 David Dick 2014-07-21 06:36:38 UTC
New Package SCM Request
=======================
Package Name: perl-DateTime-Format-RFC3339
Short Description: Parse and format RFC3339 datetime strings
Upstream URL: http://search.cpan.org/dist/DateTime-Format-RFC3339/
Owners: ddick
Branches: el6, epel7, f20, f21
InitialCC: perl-sig

Thanks for the review!

Comment 4 Gwyn Ciesla 2014-07-21 12:56:33 UTC
Git done (by process-git-requests).

Comment 5 Fedora Update System 2014-07-21 21:44:47 UTC
perl-DateTime-Format-RFC3339-1.0.5-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/perl-DateTime-Format-RFC3339-1.0.5-1.fc20

Comment 6 Fedora Update System 2014-07-21 21:45:35 UTC
perl-DateTime-Format-RFC3339-1.0.5-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/perl-DateTime-Format-RFC3339-1.0.5-1.el6

Comment 7 Fedora Update System 2014-07-22 18:09:50 UTC
perl-DateTime-Format-RFC3339-1.0.5-1.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 8 Fedora Update System 2014-07-30 21:55:01 UTC
perl-DateTime-Format-RFC3339-1.0.5-1.fc20 has been pushed to the Fedora 20 stable repository.

Comment 9 Fedora Update System 2014-08-07 11:46:25 UTC
perl-DateTime-Format-RFC3339-1.0.5-1.el6 has been pushed to the Fedora EPEL 6 stable repository.